aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Paccolat <chr.paccolat@mycable.ch>2012-12-03 14:18:53 +0100
committerJustin Lecher <jlec@gentoo.org>2013-12-03 08:25:05 +0100
commit8933ae04575f3bc41a535502523c0c7d01cc87ac (patch)
tree08315f3937354b0adb92df286d6c3b993a29a451 /sci-misc/elmer-meshgen2d
parentMerge branch 'master' into zhou13-master (diff)
downloadsci-8933ae04575f3bc41a535502523c0c7d01cc87ac.tar.gz
sci-8933ae04575f3bc41a535502523c0c7d01cc87ac.tar.bz2
sci-8933ae04575f3bc41a535502523c0c7d01cc87ac.zip
sci-misc/elmer-meta: New ebuilds for Elmer FEM packages
Diffstat (limited to 'sci-misc/elmer-meshgen2d')
-rw-r--r--sci-misc/elmer-meshgen2d/Manifest3
-rw-r--r--sci-misc/elmer-meshgen2d/elmer-meshgen2d-5.4.1-r1.ebuild49
-rw-r--r--sci-misc/elmer-meshgen2d/elmer-meshgen2d-9999.ebuild46
3 files changed, 98 insertions, 0 deletions
diff --git a/sci-misc/elmer-meshgen2d/Manifest b/sci-misc/elmer-meshgen2d/Manifest
new file mode 100644
index 000000000..534071a02
--- /dev/null
+++ b/sci-misc/elmer-meshgen2d/Manifest
@@ -0,0 +1,3 @@
+DIST elmer-meshgen2d-5.4.1.tar.gz 1758287 SHA256 66b0da4021f76da746951bbba15727c754ee0f91f865dc80a500c175c65c74ca SHA512 7589b507445955226d7541499d57a19d17165039d66947beef14473d811a991576e8c975cacb93f413f638dd6be6a231c6c05f4751311903f26023437a21f560 WHIRLPOOL 46c402d82194cccfba8f35d63cbca9ef16b38466a98db190f02de0023df0b730e587fd6391a86d0978d1fd2173aef52733af4ce21537f8f9d6079b0ff8398aad
+EBUILD elmer-meshgen2d-5.4.1-r1.ebuild 1092 SHA256 3ad76f3aa25ec1d255b85fc604f20ddf93faa78ceb491e935bf40f611732df4c SHA512 613395ac0c4654bddcfc6da21b402081df134990601a8ed52ecde27a171d989d8ded5ff6f48f5d2762f9962b81d7f10446e19a003e8d5ef0cca24990001994fc WHIRLPOOL 307dcfbc2991b40b5fa6f488ad2a57735bdd5a7ec9009bd3c985316c808bd4e4fa2c81e172551e6f9dec959980842e4fca2207edbca8f2bea9a65cbf698eeb94
+EBUILD elmer-meshgen2d-9999.ebuild 1120 SHA256 5cc4ca54ddaefc551b48b22abd1d11ebc3503c8e35065cf5cafa18d3ae9756bb SHA512 3b7503816cfe43cc88907e590b9555cf239fe70b4916b57027f91d812ff22e82b5f8cb5e59ad636a5e5d0e371cf597d916035519ef60d292cdd9b0beed5ca8a9 WHIRLPOOL 5980214f1cd808ed5552dccd50a408a38545a8cb21f8b98910de173970761f1a0de376d4498c26a46991684f9c0043f913495dde06cc762530f2c08ec578c9c1
diff --git a/sci-misc/elmer-meshgen2d/elmer-meshgen2d-5.4.1-r1.ebuild b/sci-misc/elmer-meshgen2d/elmer-meshgen2d-5.4.1-r1.ebuild
new file mode 100644
index 000000000..66f721078
--- /dev/null
+++ b/sci-misc/elmer-meshgen2d/elmer-meshgen2d-5.4.1-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+inherit autotools eutils
+
+ELMER_ROOT="elmerfem"
+MY_PN=${PN/elmer-/}
+
+DESCRIPTION="Elmer is a collection of finite element programs, libraries, and visualization tools, meshgen2d"
+HOMEPAGE="http://www.csc.fi/english/pages/elmer"
+SRC_URI="http://elmerfem.svn.sourceforge.net/viewvc/${ELMER_ROOT}/release/${PV}/${MY_PN}/?view=tar -> ${P}.tar.gz"
+RESTRICT="mirror"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug"
+DEPEND="sys-libs/glibc"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PV}/meshgen2d"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ # configure must be executable
+ chmod +x configure
+ eautoreconf
+}
+
+src_compile() {
+ cd "${S}"
+ local myconf
+ export FC="gfortran"
+ export F77="gfortran"
+ use debug &&
+ myconf="${myconf} --with-debug" ||
+ myconf="${myconf} --without-debug"
+ econf $myconf || die "econf failed"
+ emake || die "emake failed"
+}
+
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}
diff --git a/sci-misc/elmer-meshgen2d/elmer-meshgen2d-9999.ebuild b/sci-misc/elmer-meshgen2d/elmer-meshgen2d-9999.ebuild
new file mode 100644
index 000000000..fafab98be
--- /dev/null
+++ b/sci-misc/elmer-meshgen2d/elmer-meshgen2d-9999.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+inherit autotools eutils subversion
+
+ELMER_ROOT="elmerfem"
+MY_PN=${PN/elmer-/}
+
+DESCRIPTION="Elmer is a collection of finite element programs, libraries, and visualization tools, meshgen2d"
+HOMEPAGE="http://www.csc.fi/english/pages/elmer"
+#SRC_URI="http://elmerfem.svn.sourceforge.net/viewvc/${ELMER_ROOT}/release/${PV}/${MY_PN}/?view=tar -> ${P}.tar.gz"
+SRC_URI=""
+RESTRICT="mirror"
+ESVN_REPO_URI="https://elmerfem.svn.sourceforge.net/svnroot/elmerfem/trunk/${MY_PN}"
+ESVN_PROJECT="${MY_PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug"
+DEPEND="sys-libs/glibc"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PV}/meshgen2d"
+
+src_prepare() {
+ #unpack ${A}
+ cd "${S}"
+ # configure must be executable
+ #chmod +x configure
+ eautoreconf
+}
+
+src_configure() {
+ cd "${S}"
+ local myconf
+ export FC="gfortran"
+ export F77="gfortran"
+ use debug &&
+ myconf="${myconf} --with-debug" ||
+ myconf="${myconf} --without-debug"
+ econf $myconf || die "econf failed"
+}